import { normalizeUrl } from '../lib/normalize-url';
import { getPageData } from '../lib/page-data';
/**
 * Factories
 */
export const createInstrumentationSignal = (rawEvent) => {
    return {
        type: 'instrumentation',
        data: {
            page: getPageData(),
            rawEvent,
        },
    };
};
export const createInteractionSignal = (data) => {
    return {
        type: 'interaction',
        data: {
            ...data,
            page: getPageData(),
        },
    };
};
export const createNavigationSignal = (data) => {
    return {
        type: 'navigation',
        data: {
            ...data,
            page: getPageData(),
        },
    };
};
export const createUserDefinedSignal = (data) => {
    return {
        type: 'userDefined',
        data: {
            ...data,
            page: getPageData(),
        },
    };
};
export const createNetworkSignal = (data, metadata) => {
    return {
        type: 'network',
        data: {
            ...data,
            url: normalizeUrl(data.url),
            page: getPageData(),
        },
        metadata: metadata ?? {
            filters: {
                allowed: [],
                disallowed: [],
            },
        },
    };
};
//# sourceMappingURL=factories.js.map